1. Account Management
Vortex
  • Documentation
    • Overview
    • Quick Start With The SDK
    • Authentication And Partner Keys
    • Ramp Lifecycle
    • Ephemeral Key Custody
    • Quotes And Pricing
    • Webhooks
    • Widget Integration
    • BRL / KYC notes
    • Sandbox
    • Production Checklist
    • AI Agent Integration
  • API Endpoints
    • Vortex Widget
      • Create widget session
    • Quotes
      • Create a new quote
      • Get existing quote
      • Create a quote for the best network
    • Ramp
      • Get ramp status
      • Get ramp error logs
      • Get ramp history for wallet address
      • Register new ramp process
      • Start ramp process
      • Update ramp process
    • Reference Data
      • Supported Countries
      • Supported Cryptocurrencies
      • Supported Fiat Currencies
      • Supported Payment Methods
    • Public Key
      • Public Key
    • Webhooks
      • Register Webhook
      • Delete Webhook
    • Account Management
      • Create user or retry KYC
        POST
      • Get user's KYC status
        GET
      • Get selfie liveness URL
        GET
      • Get KYC document upload URLs
        POST
      • Get user information
        GET
      • Get user's remaining transaction limits
        GET
      • Submit KYC level 1 data
        POST
      • Validate Pix key
        GET
    • Schemas
      • AccountMeta
      • AveniaDocumentType
      • AveniaKYCDataUploadRequest
      • AveniaKYCDataUploadResponse
      • BrlaAddress
      • BrlaErrorResponse
      • BrlaGetSelfieLivenessUrlResponse
      • BrlaValidatePixKeyResponse
      • CleanupPhase
      • CountryCode
      • CreateBestQuoteRequest
      • CreateQuoteRequest
      • CreateSubaccountRequest
      • CreateSubaccountResponse
      • DestinationType
      • DocumentUploadEntry
      • ErrorResponse
      • FiatToken
      • GetKycStatusResponse
      • GetRampErrorLogsResponse
      • GetRampHistoryResponse
      • GetRampHistoryTransaction
      • GetUserRemainingLimitResponse
      • GetUserResponse
      • GetWidgetUrlLocked
      • GetWidgetUrlRefresh
      • KYCDataUploadFileFiles
      • KYCDocType
      • KycLevel1Payload
      • KycLevel1Response
      • Networks
      • OnChainToken
      • PaymentData
      • PaymentMethod
      • PresignedTx
      • QuoteResponse
      • RampCurrency
      • RampDirection
      • RampErrorLog
      • RampPhase
      • RampProcess
      • RegisterRampRequest
      • SimpleStatus
      • StartKYC2Request
      • StartKYC2Response
      • StartRampRequest
      • TaxIdType
      • TriggerOfframpRequest
      • TriggerOfframpResponse
      • UnsignedTx
      • UpdateRampRequest
      • ValidatePixKeyResponse
  1. Account Management

Submit KYC level 1 data

Production
Production
POST
/v1/brla/newKyc
Submits the user's KYC level 1 payload to Avenia after documents have been uploaded via /v1/brla/getUploadUrls. Includes a built-in 5-second delay to allow upstream document propagation.
Auth: uses optionalAuth.

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
KYC submission accepted.
Bodyapplication/json

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/brla/newKyc' \
--header 'Content-Type: application/json' \
--data-raw '{
    "city": "string",
    "country": "string",
    "countryOfTaxId": "string",
    "dateOfBirth": "string",
    "email": "user@example.com",
    "fullName": "string",
    "state": "string",
    "streetAddress": "string",
    "subAccountId": "string",
    "taxIdNumber": "string",
    "uploadedDocumentId": "string",
    "uploadedSelfieId": "string",
    "zipCode": "string"
}'
Response Response Example
200 - Example 1
{
    "id": "string"
}
Modified at 2026-05-19 08:43:06
Previous
Get user's remaining transaction limits
Next
Validate Pix key
Built with